@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(34, 3, 34);
    color: white;
}

header {
    position: fixed;
    top: 0;
    background: rgba(28, 15, 42, 0.8);
    backdrop-filter: blur(5px);
    width: 100%;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    z-index: 100;
    gap: 50px;
}

.header-link {
    margin: 10px;
    color: white;
    text-decoration: none;
    font-weight: bold;
    position: relative;
    padding: 2px;
}

.header-link::after {
    content: '';
    height: 2px;
    width: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: blueviolet;
    transition: width 0.6s ease;
}

.header-link:hover::after {
    width: 100%;
}

#about,
#projects,
#techs,
#contact {
    scroll-margin-top: 12vh;
}

main {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}


main img {
    width: 250px;
    height: auto;
    box-shadow: 2px 13px 53px 3px rgba(255, 255, 255, 0.75);
    -webkit-box-shadow: 2px 13px 53px 3px rgba(255, 255, 255, 0.329);
    -moz-box-shadow: 2px 13px 53px 3px rgba(0, 0, 0, 0.75);
    border-radius: 50%;
    border: 2px solid rgb(255, 255, 255);
    animation: flutuar 4s ease-in-out infinite;
}

main h1 {
    margin: 20px;
    color: rgb(186, 112, 255);
}

main p {
    font-weight: bold;
}

.about-me {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 30px;
}

.about-me h1 {
    margin: 20px;
}

.box-about {
    max-width: 700px;
    text-align: center;
    border: 1px solid white;
    border-radius: 20px;
    padding: 20px;
    backdrop-filter: blur(20px);
    background-color: rgba(126, 95, 156, 0.267);
    margin: 20px auto;
}



.projects {
    margin-top: 30px;
    padding: 40px;
    position: relative;
    min-height: 70vh;
    
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.title{
    text-align: center;
    margin-bottom: 30px;

}

.projects img {
    height: 200px;
    width: auto;
    object-fit: cover;
}

.wrapper-projects {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.projects-window {
    overflow: hidden;
    width: calc(400px * 3 + 30px * 2);
    margin: 0 auto;
}

.project-container {
    display: flex;
    gap: 30px;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

.projects-card {
    width: 400px;
    background: rgb(56, 12, 56, 0.5);
    border-radius: 12px;
    padding: 15px;
    color: white;
    flex-shrink: 0;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.projects-card img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 8px;
}

.projects-card h2{
    margin: 10px;
}

.projects-card a{
    background-color: purple;
    color: white;
    text-decoration: none;
    width: 135px;
    border-radius: 20px;
    padding: 10px;
    margin: 10px;
}

.arrow-right,
.arrow-left {
    background: none;
    border: none;
    font-size: 40px;
    cursor: pointer;
    color: #333;
    padding: 10px;
    transition: 0.3s ease;
}

.arrow-right:hover {
    color: #000;
}

.arrow-left:hover {
    color: #000;
}


.techs{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.wrapper-img{
    display: flex;
    flex-direction: row;
    padding: 30px;
}

.html-img, .css-img, .js-img{
    height: 150px;
    margin: 20px;
    transition: 0.5s ease;
}

.html-img:hover{
    transform: scale(1.1);
    filter: drop-shadow(0 0 15px rgba(255, 94, 0, 0.849));
}

.css-img:hover{
    transform: scale(1.1);
    filter: drop-shadow(0 0 15px rgba(0, 255, 213, 0.849));
}

.js-img:hover{
    transform: scale(1.1);
    filter: drop-shadow(0 0 15px rgba(255, 187, 0, 0.849));
}


footer{
    background-color: rgb(61, 28, 80);
    height: 50vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
}

footer h1{
    margin-top: 10px;
}

footer a{
    text-decoration: none;
    color: white;
    transition: 0.3s ease;
    margin: 30px;
}

footer a:hover{
    transform: scale(1.1);
}

.wrapper-links{
    display: flex;
}

.whatsApp, .linkedin, .email, .github{
    background-color: rgb(128, 0, 128);
    width: 200px;
    text-align: center;
    border-radius: 20px;
    padding: 10px;
    margin: 30px;
    cursor: pointer;
    transition: 0.3s ease;
}



.email:hover{
    transform: scale(1.1);
}

footer p{
    margin: 20px;
}


.particles{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.5;
    background: 
    radial-gradient(circle at 10% 20%, purple 0%, transparent 20%),
    radial-gradient(circle at 90% 80%, rgb(122, 69, 122)0%, transparent 20%),
    rgb(9, 4, 34);
}

@keyframes flutuar {
    0%, 100%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-30px);
    }
}

@media (max-width: 768px) {

    body{
        width: auto;
        height: auto;
    }

    header{
        width: 100vw;
        gap: 6px;
        padding: 5px;
    }

    .header-link{
        margin: 2px;
        font-size: 13px;
    }

    .projects{
        width: auto;
        padding: 10px;
    }

    .projects-window {
    width: 300px;
    }

    .projects-card{
        min-width: 300px;
        max-width: 300px;
    }

    .techs{
        width: auto;
        height: 50vh;
    }

    .techs h1{
        text-align: center;
    }

    .html-img, .css-img, .js-img{
    height: 100px;
    margin: 10px;
    transition: 0.5s ease;
    }

    footer{
        width: auto;
        height: auto;
        flex-direction: column;
    }

    footer h1 {
    margin-top: 10px;
    text-align: center;
    font-size: 25px;
    }

    .wrapper-links{
    display: flex;
    flex-direction: column;
    }

}